Switching back and forth between 2D and 3D context
I hope someone can give me some guidance with this. I am not very good yet at 3D modeling. I needed to design a fixture to hold a tube for machining. I decided to create a 3D model of the tube, make 2D views with Quickdraw, switch to 2D context, and use the Quickdraw output to "build" my fixture (around the tube). I drew some horizontal and vertical infinite lines where I wanted to add circles and was surprised that the intersection snap no longer worked!
Bricsys support tells me the infinite lines are not on the same plane. Also I noticed if I switch back to 3D context, some of the infinite lines I created while operating in 2D context, are not anywhere near where I thought I drew them. What I don't understand, is how did the lines get in different planes, and what, if anything I can do about that.
I even tried cutting and pasting the Quickdraw views to a 2D template and working off that. I still found that the intersection snap doesn't work. Does this mean a cut and paste operation while operating with 2D context, transfers some 3D coordinates?
Bricsys support tells me the infinite lines are not on the same plane. Also I noticed if I switch back to 3D context, some of the infinite lines I created while operating in 2D context, are not anywhere near where I thought I drew them. What I don't understand, is how did the lines get in different planes, and what, if anything I can do about that.
I even tried cutting and pasting the Quickdraw views to a 2D template and working off that. I still found that the intersection snap doesn't work. Does this mean a cut and paste operation while operating with 2D context, transfers some 3D coordinates?
0
Comments
-
If you are dealing with 3D objects it can be problematic to work in a 2D view. In the top view of a cylinder the center point is not a single point but two points superimposed: the center point at the bottom and the center point at the top.
You can try to control which point is used by using point filters:
[code]: l
ENTER to use last point/Follow/<Start of line>: cen
Snap to centerpoint of: .xy
Select xy of: _center
Snap to _centerpoint of:
Still need Z of: 0,0,0
Angle/Length/Undo/<End point>:
Angle/Length/Follow/Undo/<End point>: [/code]
Or you can try to change the OSNAPZ setting.
In general I would try to avoid working in a 2D view. But if you really prefer this I suggest you use the _VPORTS command to create 2 views of your model one in 2D the other in 3D (to check what you are doing).0 -
The command history in my previous post should read:
[code]: LINE
ENTER to use last point/Follow/<Start of line>: .xy
Select xy of: _center
Snap to _centerpoint of:
Still need Z of: 0,0,0
Angle/Length/Undo/<End point>:
Angle/Length/Follow/Undo/<End point>: [/code]0 -
Quickdraw? Don't really know about this, but if it shares code with the flatshot command, it may well generate output with slightly differing z-coordinates (a SR I filed for this when V12 came out is still open), for example like this:
: (entget(car(entsel)))
Select entity: ((-1 . ) (0 . "LINE") (5 . "858C") (330 . ) (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "KHAD_VISIBLE") (100 . "AcDbLine") (10 752.368 264.236 3.48914e-14) (11 752.368 274.26 2.61686e-14) (210 0.0 0.816497 0.57735))
: (entget(car(entsel)))
Select entity: ((-1 . ) (0 . "LINE") (5 . "8587") (330 . ) (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "KHAD_VISIBLE") (100 . "AcDbLine") (10 752.368 274.26 2.61686e-14) (11 753.67 273.508 3.48914e-14) (210 0.0 0.816497 0.57735))
You have to use the flatten command on such geometry before using it for further drafting.0 -
Thank you Roy and Knut. I don't know anything about point filters. Are any tutorials available? Is it something you enter on the command line, or is this LISP programming?
I will try using Flatshot on the Quickdraw output.0 -
Point filters are entered on the command line during a command.
There is not much to explain really.
.XY
Means use the X and Y coordinate of the next point (and get the Z coordinate from a different point).
I think you can guess how these other point filters work:
.X
.Y
.Z
.XZ
.YZ0 -
Hello Jim,
just to put things right:
- the flatshot command is used to create 2d geometry from 3d model views.
- the flatten command is used to eliminate unwanted 3d information (elevation, thickness and non-zero z-coordinates) from 2d geometry.
So what you need is flatten, not flatshot...0 -
Thanks guys! I'll experiment with this, and get back to you with my results. Right now though, I am on vacation and away from work.0
This discussion has been closed.